Bug 257381 - JJ: make amarok usable with keyboard
Summary: JJ: make amarok usable with keyboard
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Shortcuts (show other bugs)
Version: 2.3.1
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-11-20 01:05 UTC by johannes.thraen
Modified: 2011-10-24 21:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description johannes.thraen 2010-11-20 01:05:07 UTC
Version:           2.3.1 (using KDE 4.4.5) 
OS:                Linux

at the current state amarok isn't usably via keyboard at all.

I cannot:
- search my collection
- search my playlist
- navigate my playlist
- manipulate my playlist
only by using the keyboard. You can do these things separatly using the keyboard, but not in sequence. For example if the cursor's in the collection search window, there's no possibility to reach the playlist search field without using the mouse.
This would be very convienient for netbooks etc. 


Reproducible: Didn't try
Comment 1 Ravi Arora 2011-04-15 08:39:44 UTC
I also want this feature a lot. Using keaboard to switch between different panes would be so convenient.
Comment 2 Kevin Funk 2011-06-05 23:53:38 UTC
Would be cool if some of you guys could actually provide a patch for this? Maybe? :)
Comment 3 Matěj Laitl 2011-10-24 21:30:35 UTC
Git commit b4b59198a3b991df198a294f7abb1e2f6d945e56 by Matěj Laitl.
Committed on 24/10/2011 at 22:39.
Pushed by laitl into branch 'master'.

Add keyboard shortcut for collection search: Ctrl+F

Also change name of the "Jump to" action to "Search playlist" and
rename appropriate methods.

Both actions now ensure that relevant dock and widget gets shown upon
firing the shortcut.

Patch by Silver Juurik <silverjuurik@gmail.com>

REVIEW: 102956
FEATURE: 257381
GUI: "Jump to" keyboard shortcut renamed to "Search playlist"
FIXED-IN: 2.5

M  +2    -0    ChangeLog
M  +19   -6    src/MainWindow.cpp
M  +2    -1    src/MainWindow.h
M  +6    -0    src/browsers/collectionbrowser/CollectionWidget.cpp
M  +1    -0    src/browsers/collectionbrowser/CollectionWidget.h

http://commits.kde.org/amarok/b4b59198a3b991df198a294f7abb1e2f6d945e56